<div class="p-grid p-formgrid">
    <div class="p-field p-col-2">
        <p-card [style]="{width: 'width'}" styleClass="">
            <div class="p-grid cajaus">
                <div class="p-col-12 p-text-center">
                    <img src="assets/layout/images/avatar-profilemenu.png" alt="freya-layout" class="profileimage"/>
                    <!-- <h5 class="p-mb-1">{{userConnect.nombre}} {{userConnect.apellido}}</h5> -->
                    <span>Estudiante</span>
                    <br>
                    <p-divider type="solid">
                        <div class="inline-flex align-items-center">
                            <span class="p-tag">Competencias</span>
                        </div>
                    </p-divider>
                </div>

                <div class="p-field" style="width: 100%;">
                    <div class="p-col-12">
                        <h6>Matematicas</h6>
                        <p-progressBar [value]="80" [showValue]="false"></p-progressBar>
                        <h6>Español</h6>
                        <p-progressBar [value]="40" [showValue]="false"></p-progressBar>
                        <h6>Programación</h6>
                        <p-progressBar [value]="38" [showValue]="false"></p-progressBar>
                        <h6>Biologia</h6>
                        <p-progressBar [value]="80" [showValue]="false"></p-progressBar>
                        <p-divider type="solid">
                        </p-divider>
                        <a [routerLink]="['/profile']">Visitar Perfil</a>
                    </div>
                </div>
            </div>
        </p-card>
       
    </div>
    <div class="p-field p-col-7">
        <p-card [style]="{width: 'width'}" styleClass="styleClass">
            <form action="">
                <span class="p-float-label">
                    <textarea id="float-input" rows="5" cols="30" pInputTextarea (keypress)="publicacion($event)"></textarea>
                    <label for="float-input">Qué quieres compartir?</label>
                </span>
                <div class="botones">
                    <p-button icon="pi pi-times" class="p-button-danger btn-red" *ngIf="habilitar"></p-button>
                    <p-button icon="pi pi-check" class="btn-primary"></p-button>
                </div>
            </form>
            <p>Ahora en Dualclasses:</p>
                <div class="p-grid p-justify-start p-p-3">
                    <div class="p-col-12 p-sm-12 p-md-12 p-lg-6">
                        <p-card [style]="{width: ''}" 
                                styleClass="color">
                                <div>
                                    <img src="assets/layout/images/avatar-profilemenu.png" alt="freya-layout" class="profileimage" (click)="showModalDialog()"/>
                                    <button pButton pRipple type="button" label="Seguir" class="p-button-secondary p-button-text"></button>
                                </div>
                                <h5 class="p-mb-1">Andrés Ostos</h5>
                                <small>Profesor</small>
                                <p>Encontrarás la manera más rápida y sencilla de solucionar tus dudas acerca de cualquier tema.</p>
                        </p-card>
                    </div>
                </div>
                <div class="p-grid p-justify-end p-p-3">
                    <div class="p-col-12 p-sm-12 p-md-12 p-lg-6">
                        <p-card [style]="{width: ''}" 
                                styleClass="color">
                                <div>
                                    <img src="assets/layout/images/avatar-profilemenu.png" alt="freya-layout" class="profileimage"/>
                                    <button pButton pRipple type="button" label="Seguir" class="p-button-secondary p-button-text"></button>
                                </div>
                                <h5 class="p-mb-1">Camilo Chacón</h5>
                                <small>Estudiante</small>
                                <P>Encontrarás la manera más rápida y sencilla de solucionar tus dudas acerca de cualquier tema.</P>
                        </p-card>
                    </div>
                </div>

                <div class="p-grid p-justify-start p-p-3">
                    <div class="p-col-12 p-sm-12 p-md-12 p-lg-6">
                        <p-card [style]="{width: ''}" 
                                styleClass="color">
                                <div>
                                    <img src="assets/layout/images/avatar-profilemenu.png" alt="freya-layout" class="profileimage"/>
                                    <button pButton pRipple type="button" label="Seguir" class="p-button-secondary p-button-text"></button>
                                </div>
                                <h5 class="p-mb-1">Ana María</h5>
                                <small>Profesor</small>
                                <P>Encontrarás la manera más rápida y sencilla de solucionar tus dudas acerca de cualquier tema.</P>
                        </p-card>
                    </div>
                </div>            
            <!-- <p>Aqui Encontrarás la manera más rápida y sencilla de solucionar tus dudas acerca de cualquier tema, 
                mediante reuniones en vivo en formato tutoria, puedes escojer entre profesores o clases programadas para grupos de más de 2 personas al mismo tiempo, todo en vivo y desde cualquier parte.</p> -->
            <div class="p-field p-grid p-fluid">
                <div class="p-field p-col-12">
                        <h5>Clases top: </h5>
                        <p-tabView orientation="left">
                            <p-tabPanel header="Top-Profesores">
                                <p-carousel [value]="topProfesores" [autoplayInterval]="4000"  [numVisible]="2" [numScroll]="2" [circular]="true" [responsiveOptions]="carouselResponsiveOptions">
                                    <ng-template let-product pTemplate="item">
                                        <div class="product-item" >
                                            <div class="product-item-content">
                                                <div class="p-mb-2">
                                                    <img [src]="'assets/images/' + product.img" [alt]="product.nombre" style="padding: 1rem; max-height: 156px;" />
                                                </div>
                                                <div >
                                                    <h4 class="p-mb-1">{{product.nombre}} {{product.apellido}}</h4>
                                                    <h6 class="p-mt-1 p-mb-1">{{product.precio_hora | currency}}</h6>
                                                    <h6 class="p-mt-1 p-mb-1">Calificación</h6>
                                                    <!-- <span [class]="'product-badge status-'+product.inventoryStatus.toLowerCase()">{{product.inventoryStatus}}</span> -->
                                                    <p-rating iconOnClass="pi pi-star-fill" iconOffClass="pi pi-star" [readonly]="true"  [ngModel]="product.calificacion" [cancel]="false"></p-rating>
                                                    <div class="car-buttons p-mt-1">
                                                        <!-- <h2 class="product-price">${{product.price}}</h2> -->
                                                        <p-button type="button" styleClass="p-button p-button-rounded p-mr-2" icon="pi pi-external-link"></p-button>
                                                        <!-- <p-button type="button" styleClass="p-button-success p-button-rounded p-mr-2" icon="pi pi-star"></p-button> -->
                                                        <!-- <p-button type="button" styleClass="p-button-help p-button-rounded" icon="pi pi-cog"></p-button> -->
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                    </ng-template>
                                </p-carousel>
                            </p-tabPanel>
                            <p-tabPanel header="Top-Clases-Multiples">
                                <p-carousel [value]="clasesGrupales" [autoplayInterval]="4000"  [numVisible]="2" [numScroll]="2" [circular]="true" [responsiveOptions]="carouselResponsiveOptions">
                                    <ng-template let-product pTemplate="item">
                                        <div class="product-item ">
                                            <div class="product-item-content">
                                                <div class="p-mb-2">
                                                    <img [src]="'assets/images/' + product.img" [alt]="product.nombre" style="padding: 1rem; max-height: 156px;" />
                                                </div>
                                                <div >
                                                    <h4 class="p-mb-1">{{product.nombre_clase}}</h4>
                                                    <h6 class="p-mt-1 p-mb-1">{{product.precio_clase | currency}} </h6>
                                                    <h6 class="p-mt-1 p-mb-1">Calificación</h6>
                                                    <!-- <span [class]="'product-badge status-'+product.inventoryStatus.toLowerCase()">{{product.inventoryStatus}}</span> -->
                                                    <p-rating iconOnClass="pi pi-heart-fill" iconOffClass="pi pi-heart" [ngModel]="product.calificacion" [readonly]="true" [cancel]="false"></p-rating>
                                                    <div class="car-buttons p-mt-1">
                                                        <!-- <h2 class="product-price">${{product.price}}</h2> -->
                                                        <p-button type="button" styleClass="p-button p-button-rounded p-mr-2" icon="pi pi-external-link"></p-button>
                                                        <!-- <p-button type="button" styleClass="p-button-success p-button-rounded p-mr-2" icon="pi pi-star"></p-button> -->
                                                        <!-- <p-button type="button" styleClass="p-button-help p-button-rounded" icon="pi pi-cog"></p-button> -->
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                    </ng-template>
                                </p-carousel>
                            </p-tabPanel>
                        </p-tabView>
                        <p-button styleClass="p-button-root" [routerLink]="['/class']" label="Ver mas cursos"></p-button>
                </div>
                
            </div>
           
        </p-card>
       
    </div>
    <!-- Proximos eventos -->
    <div class="p-field p-col-3">
        <p-card [style]="{width: 'width'}" styleClass="">
            <div class="p-grid">
                <div class="p-col-12">
                    <div class="schedule">
                        <div class="card-header">
                            <div class="card-title">
                                <p class="subtitle">Tus Proximas clases:</p>
                            </div>
                        </div>
                        <p>{{currentDateString | titlecase}}
                        </p>
                        <ul>
                            <li *ngFor="let clase of clases">
                                <div class="schedule-header">
                                    <h6>{{clase.titulo}}</h6>
                                    <span>Id: {{clase.id_clase}}</span>
                                </div>
                                <a target=”_blank” href="{{clase.url}}">Ingresa a tu clase</a>
                                <span>{{clase.dia_clase | titlecase}}</span>
                                <span>{{clase.hora_inicio}} - {{clase.hora_fin}}</span>
                                <!-- <span>6 participiants (4 accepted)</span> -->
                            </li>
                        </ul>
                    </div>
                    <br>
                    <p-button styleClass="p-button-root" label="Ver calendario completo" [routerLink]="['/calendar']"  ></p-button>
                </div>
            </div>
        </p-card>
    </div>
</div>

<p-dialog header="Header" [(visible)]="displayModal" [modal]="true" [style]="{width: '50vw'}"
[draggable]="false" [resizable]="false">
<p class="m-0">reseña</p>
    <ng-template pTemplate="footer">
    <p-button icon="pi pi-check" (click)="displayModal=false" label="Ok" styleClass="p-button-text"></p-button>
    </ng-template>
</p-dialog>   
